LibreOffice LibreOffice 6.1 SDK API Reference

Public Attributes | List of all members
XNode Interface Reference

represents a node that may occur in a RDF graph. More...

`import"XNode.idl";`

Inheritance diagram for XNode:

## Public Attributes
string | StringValue
| the string value of the node. More...

## Detailed Description

represents a node that may occur in a RDF graph.

In the RDF data model, there are three distinct types of nodes: URIs, blank nodes, and literals.

    XNode
    |
    |---XLiteral
    |
    XResource
    |
    |---XBlankNode
    |
    XURI

Since
  OOo 3.0

See also
  XRepository
  Statement
  XResource
  XBlankNode
  XURI
  XLiteral

## Member Data Documentation

## ◆ StringValue

string StringValue
| attribute readonly

the string value of the node.

The documentation for this interface was generated from the following file:

- com/sun/star/rdf/XNode.idl